using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 扫码关注公众号记录
    /// </summary>
    [SugarTable("YB_ScanResult", TableDescription = "扫码关注公众号记录", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_ScanResult
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public System.Guid Id { get; set; }

        /// <summary>
        /// 类型,1-单阻抗,2-八电极
        /// </summary>
        [SugarColumn(ColumnDescription = "类型,1-单阻抗,2-八电极")]
        public System.Int32 Type { get; set; }

        /// <summary>
        /// 关注状态,0-未关注,1-已关注,2-重复关注
        /// </summary>
        [SugarColumn(ColumnDescription = " 关注状态,0-未关注,1-已关注,2-重复关注")]
        public System.Int32 Subscribe { get; set; }

        /// <summary>
        /// 计费时间
        /// </summary>
        [SugarColumn(ColumnDescription = "计费时间", IsNullable =true)]
        public System.DateTime? TakeTime { get; set; }

        /// <summary>
        /// 粉丝ID
        /// </summary>
        [SugarColumn(ColumnDescription = "粉丝ID", ColumnDataType = "varchar(50)")]
        public System.String FansId { get; set; }

        /// <summary>
        /// 公众号appid
        /// </summary>
        [SugarColumn(ColumnDescription = "公众号appid", ColumnDataType = "varchar(50)")]
        public System.String PublicId { get; set; }

        /// <summary>
        /// 订单ID
        /// </summary>
        [SugarColumn(ColumnDescription = "订单ID")]
        public System.Guid OrderId { get; set; }

        /// <summary>
        /// 客户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "客户ID")]
        public System.Int32 BusinessId { get; set; }

        /// <summary>
        /// 设备ID
        /// </summary>
        [SugarColumn(ColumnDescription = "设备ID")]
        public System.Int32 EquId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }
    }
}
